cascading.flow.local

## Class LocalFlowConnector

- java.lang.Object
- - cascading.flow.FlowConnector
  - - cascading.flow.local.LocalFlowConnector

-     public class LocalFlowConnector
      extends FlowConnector

  Use the LocalFlowConnector to link source and sink `Tap` instances with an assembly of `Pipe` instances into an executable `LocalFlow` for execution in local memory.
  See Also:
    `AppProps`, `FlowConnectorProps`, `FlowDef`

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.FlowConnector

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalFlowConnector()` Constructor LocalFlowConnector creates a default instance.
    `LocalFlowConnector(Map<Object,Object> properties)` Constructor LocalFlowConnector creates a new instance using any of the given properties.
    `LocalFlowConnector(Map<Object,Object> properties, RuleRegistrySet ruleRegistrySet)` Constructor LocalFlowConnector creates an instance using any of the given properties.
    `LocalFlowConnector(RuleRegistrySet ruleRegistrySet)` Constructor LocalFlowConnector creates a default instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RuleRegistrySet` | `createDefaultRuleRegistrySet()`
    `protected FlowPlanner` | `createFlowPlanner()`
    `protected Class<? extends Scheme>` | `getDefaultIntermediateSchemeClass()`

    - ### Methods inherited from class cascading.flow.FlowConnector

      `connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, getIntermediateSchemeClass, getPlatformInfo, getProperties, getRuleRegistrySet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalFlowConnector

          public LocalFlowConnector()

      Constructor LocalFlowConnector creates a default instance.

    - #### LocalFlowConnector

          @ConstructorProperties(value="properties")
          public LocalFlowConnector(Map<Object,Object> properties)

      Constructor LocalFlowConnector creates a new instance using any of the given properties.
      Parameters:
        `properties` - of type Map

    - #### LocalFlowConnector

          @ConstructorProperties(value="ruleRegistrySet")
          public LocalFlowConnector(RuleRegistrySet ruleRegistrySet)

      Constructor LocalFlowConnector creates a default instance.

    - #### LocalFlowConnector

          @ConstructorProperties(value={"properties","ruleRegistrySet"})
          public LocalFlowConnector(Map<Object,Object> properties,
                                                       RuleRegistrySet ruleRegistrySet)

      Constructor LocalFlowConnector creates an instance using any of the given properties.
      Parameters:
        `properties` - of type Map

  - ### Method Detail

    - #### getDefaultIntermediateSchemeClass

          protected Class<? extends Scheme> getDefaultIntermediateSchemeClass()

      Specified by:
        `getDefaultIntermediateSchemeClass` in class `FlowConnector`

    - #### createFlowPlanner

          protected FlowPlanner createFlowPlanner()

      Specified by:
        `createFlowPlanner` in class `FlowConnector`

    - #### createDefaultRuleRegistrySet

          protected RuleRegistrySet createDefaultRuleRegistrySet()

      Specified by:
        `createDefaultRuleRegistrySet` in class `FlowConnector`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.